Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen
Interface NamedAccessNavigator

All Superinterfaces:
  Navigator, Serializable

All Known Implementing Classes:
  DocumentNavigator, DocumentNavigator, DocumentNavigator

public interface NamedAccessNavigator
extends Navigator

Interface for navigating around an arbitrary object model accessing certain parts by name for performance.

This interface must only be implemented by those models that can support this named access behavior.

Author:
  Stephen Colebourne

Method Summary
`Iterator` | `getAttributeAxisIterator(Object contextNode, String localName, String namespacePrefix, String namespaceURI)` Retrieve an `Iterator` that returns the `attribute` XPath axis where the names of the attributes match the supplied name and optional namespace.
`Iterator` | `getChildAxisIterator(Object contextNode, String localName, String namespacePrefix, String namespaceURI)` Retrieve an `Iterator` that returns the `child` XPath axis where the names of the children match the supplied name and optional namespace.

Methods inherited from interface org.jaxen.Navigator
`getAncestorAxisIterator, getAncestorOrSelfAxisIterator, getAttributeAxisIterator, getAttributeName, getAttributeNamespaceUri, getAttributeQName, getAttributeStringValue, getChildAxisIterator, getCommentStringValue, getDescendantAxisIterator, getDescendantOrSelfAxisIterator, getDocument, getDocumentNode, getElementById, getElementName, getElementNamespaceUri, getElementQName, getElementStringValue, getFollowingAxisIterator, getFollowingSiblingAxisIterator, getNamespaceAxisIterator, getNamespacePrefix, getNamespaceStringValue, getNodeType, getParentAxisIterator, getParentNode, getPrecedingAxisIterator, getPrecedingSiblingAxisIterator, getProcessingInstructionData, getProcessingInstructionTarget, getSelfAxisIterator, getTextStringValue, isAttribute, isComment, isDocument, isElement, isNamespace, isProcessingInstruction, isText, parseXPath, translateNamespacePrefixToUri`

Method Detail

### getChildAxisIterator

    public Iterator getChildAxisIterator(Object contextNode,
                                         String localName,
                                         String namespacePrefix,
                                         String namespaceURI)
                                  throws UnsupportedAxisException

  Retrieve an `Iterator` that returns the `child` XPath axis where the names of the children match the supplied name and optional namespace.

  This method must only return element nodes with the correct name.

  If the namespaceURI is null, no namespace should be used. The prefix will never be null.

  Parameters:
    `contextNode` - the origin context node
    `localName` - the local name of the children to return, always present
    `namespacePrefix` - the prefix of the namespace of the children to return
    `namespaceURI` - the namespace URI of the children to return
  Returns:
    an Iterator capable of traversing the named children, or null if none
  Throws:
    `UnsupportedAxisException` - if the child axis is not supported by this object model

### getAttributeAxisIterator

    public Iterator getAttributeAxisIterator(Object contextNode,
                                             String localName,
                                             String namespacePrefix,
                                             String namespaceURI)
                                      throws UnsupportedAxisException

  Retrieve an `Iterator` that returns the `attribute` XPath axis where the names of the attributes match the supplied name and optional namespace.

  This method must only return attribute nodes with the correct name.

  If the namespaceURI is null, no namespace should be used. The prefix will never be null.

  Parameters:
    `contextNode` - the origin context node
    `localName` - the local name of the attributes to return, always present
    `namespacePrefix` - the prefix of the namespace of the attributes to return
    `namespaceURI` - the URI of the namespace of the attributes to return
  Returns:
    an Iterator capable of traversing the named attributes, or null if none
  Throws:
    `UnsupportedAxisException` - if the attribute axis is not supported by this object model

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.